Subject: bug#64659: closed (Re: bug#64659: bug in guix-compute-derivation)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 09:09:09 +0000

Your bug report

#64659: bug in guix-compute-derivation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64659: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64659
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64659: bug in guix-compute-derivation
From: Simon Tournier <[email-masked]>
To: anemofilia <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 10:19:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I think this bug…

    https://issues.guix.gnu.org/issue/64659

On Sun, 16 Jul 2023 at 06:13, anemofilia <[email-masked]> wrote:

>   guix      https://git.savannah.gnu.org/git/guix.git    49f74b6
> Computing Guix derivation for 'x86_64-linux'...  .

[...]

> guix pull: error: You found a bug: the program '/gnu/store/9an9yfwk5vwvisygdd6q69vw9jk8mf9p-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "49f74b67a44882d2af0529abf3e60a9c37512f2c"; system: "x86_64-linux";
> host version: "1.4.0"; pull-version: 1).

…is a transient bug.

Feel free to reopen if it’s not and/or I’m missing something.

Cheers,
simon

Subject: bug in guix-compute-derivation
From: anemofilia <[email-masked]>
To: [email-masked]
Date: Sun, 16 Jul 2023 06:13:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, how are you?

Seems that I've found a bug in guix-compute-derivation while running 
guix pull in a newly installed guix system. Here's the complete output:

```
Updating channel 'guix' from Git repository at 
'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
   guix      https://git.savannah.gnu.org/git/guix.git    49f74b6
Computing Guix derivation for 'x86_64-linux'...  .
..
.
Backtrace:
           17 (primitive-load 
"/gnu/store/9an9yfwk5vwvisygdd6q69vw9jk8mf9p-compute-guix-derivation")
In ice-9/eval.scm:
     155:9 16 (_ _)
     159:9 15 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> 
?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
     152:2 14 (with-fluid* _ _ _)
     152:2 13 (with-fluid* _ _ _)
In ./guix/store.scm:
   2168:24 12 (run-with-store #<store-connection 256.99 7f911811b410> 
#<procedure 7f9103b9d730 at ./guix/self.scm:13?> ?)
    1996:8 11 (_ #<store-connection 256.99 7f911811b410>)
In ./guix/gexp.scm:
    299:22 10 (_ #<store-connection 256.99 7f911811b410>)
    1180:2  9 (_ #<store-connection 256.99 7f911811b410>)
    1046:2  8 (_ #<store-connection 256.99 7f911811b410>)
     892:4  7 (_ #<store-connection 256.99 7f911811b410>)
In ./guix/store.scm:
   2053:12  6 (_ #<store-connection 256.99 7f911811b410>)
    1401:5  5 (map/accumulate-builds #<store-connection 256.99 
7f911811b410> #<procedure 7f90fe2f2c00 at ./guix/stor?> ?)
   1417:15  4 (_ #<store-connection 256.99 7f911811b410> 
("/gnu/store/00lz8100v86nzcbcl9yp1jfd63ianr2z-guix-daemo?" ?) ?)
   1417:15  3 (loop #f)
    711:11  2 (process-stderr #<store-connection 256.99 7f911811b410> _)
In ./guix/serialization.scm:
    101:11  1 (read-int #<input-output: file 10>)
      79:6  0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:79:6: In procedure get-bytevector-n*:
ERROR:
   1. &nar-error:
       file: #f
       port: #<input-output: file 10>
guix pull: error: You found a bug: the program 
'/gnu/store/9an9yfwk5vwvisygdd6q69vw9jk8mf9p-compute-guix-derivation'
failed to compute the derivation for Guix (version: 
"49f74b67a44882d2af0529abf3e60a9c37512f2c"; system: "x86_64-linux";
host version: "1.4.0"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.

```

Thanks in advance,
Anemofilia